function log(s) {
    try {
        window.Activity.Log(s);
    } catch(err) {
        console.log(s);
    }
}

function showClass(c) {
    var elements = document.getElementsByClassName(c);
    for (i=0; i<elements.length; i++) {
        elements[i].style.display = "block";
    }
}

function Click() {
    var url = this.getAttribute("data-link");
    log("CLICK: "+  url);
    document.location.href = url;
}

function ReadContent() {
    var s = this.lastChild.textContent;
    log("READ: "+  s);
    window.Activity.ReadWords(s);
}

function startup() {
    log("startup");
    if (window.Activity) {
        if (window.Activity.IsDemo()) {
            showClass("demo");
        } else {
            showClass("pro");
        }

        showClass(window.Activity.Language());
    } else {
        showClass("pro");
        showClass("es");
    }

    var elements;

    elements = document.getElementsByClassName("button");
    log("button elements: " + elements.length);
    for (i=0; i < elements.length; i++) {
        elements[i].onclick = Click;
    }

    var elements = document.getElementsByClassName("speak");
    log("speak elements: " + elements.length);
    var show_speaker = 1;
    try {
        show_speaker = window.Activity.ShowSpeaker();
    } catch(err) {
    }
    for (i = 0; i < elements.length; i++) {
        var e =  elements[i];
        e.onclick = ReadContent;

        if (!show_speaker) continue;
        var text =  e.firstChild;
        var span = document.createElement("span");
        span.className = "speaker_icon";
        e.insertBefore(span, text);

        span = document.createElement("span");
        span.innerHTML = "&nbsp;";
        e.insertBefore(span, text);
    }

}

